PgBeam Docs
Account

Update onboarding progress

PATCH
/v1/organizations/{org_id}/onboarding

Mark an onboarding step as complete or dismiss the checklist.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for advancing or dismissing onboarding.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/organizations/org_abc123/onboarding" \  -H "Content-Type: application/json" \  -d '{}'
{  "organization_id": "string",  "org_created": true,  "project_created": true,  "database_added": true,  "connection_tested": true,  "connection_string_copied": true,  "first_query_run": true,  "agent_credential_created": true,  "dismissed": true,  "completed": true,  "steps_completed": 0,  "steps_total": 0,  "completed_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}